#include <bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("BAI3_18.INP");
	ofstream f2("BAI3_18.OUT");
	string s,x;
	long long k;
	f1>>k;
	getline(f1,s);
	x=s.substr(k+1,k);
	s.erase(k+1,k+4);
	s.insert(0,x);
	f2<<s;
}
